<div id="orders-container">
  <h5 id="visitor-count">Посетителей за сегодня: {{visitorCount}}</h5>
  <button class="save-orders-btn defaultBtn" [hidden]="!needSave" (click)="onSave()"><span>Сохранить</span></button>
    <table id="order-table">
        <thead>
          <tr>
            <th *ngFor="let column of columns">
              {{ column.name }}
            </th>
          </tr>
        </thead>

        <tbody *ngFor="let viewModel of orderViewModels;let index = index;trackBy:trackByIndex;">
          <tr (click)="onRowSelected(viewModel)" [ngClass]="viewModel.changed ? 'changed' : ''">
            <td [ngClass]="getStatusClass(column)" *ngFor="let column of viewModel.dataColumns">{{ column.value }}</td>
          </tr>

          <tr [hidden]="viewModel.order.id !== selectedId" colspan=100%>
            <td class="edit-field-container" colspan="100%">
              <div class="edit-container">
                <label class="field-label">Статус</label>
                <select class="field-input" [(ngModel)]="viewModel.order.orderStatus" (ngModelChange)="onOrderChanged(viewModel)">
                  <option *ngFor="let status of statuses" [ngValue]="status">{{status.nameUk}}</option>
                </select>
              </div>

              <div class="edit-container">
                <label class="field-label">Имя</label>
                <input class="field-input" type="text" [(ngModel)]="viewModel.order.contactName" (ngModelChange)="onOrderChanged(viewModel)">
              </div>

              <div class="edit-container">
                <label class="field-label">Фамилия</label>
                <input class="field-input" type="text" [(ngModel)]="viewModel.order.contactSurname" (ngModelChange)="onOrderChanged(viewModel)">
              </div>

              <div class="edit-container">
                <label class="field-label">Телефон</label>
                <input class="field-input" type="text" [(ngModel)]="viewModel.order.contactPhone" (ngModelChange)="onOrderChanged(viewModel)">
              </div>

              <div class="edit-container">
                <label class="field-label">Email</label>
                <input class="field-input" type="text" [(ngModel)]="viewModel.order.contactEmail" (ngModelChange)="onOrderChanged(viewModel)">
              </div>

              <div class="edit-container">
                <label class="field-label">Комментарий</label>
                <input class="field-input" type="text" [(ngModel)]="viewModel.order.comment" (ngModelChange)="onOrderChanged(viewModel)">
              </div>

              <div class="edit-container">
                <label class="field-label">Город</label>
                <input class="field-input" type="text" [(ngModel)]="viewModel.order.city" (ngModelChange)="onOrderChanged(viewModel)">
              </div>

              <div class="edit-container">
                <label class="field-label">Улица</label>
                <input class="field-input" type="text" [(ngModel)]="viewModel.order.street" (ngModelChange)="onOrderChanged(viewModel)">
              </div>

              <div class="edit-container">
                <label class="field-label">Дом</label>
                <input class="field-input" type="text" [(ngModel)]="viewModel.order.house" (ngModelChange)="onOrderChanged(viewModel)">
              </div>

              <div class="edit-container">
                <label class="field-label">Квартира</label>
                <input class="field-input" type="text" [(ngModel)]="viewModel.order.flat" (ngModelChange)="onOrderChanged(viewModel)">
              </div>
            </td>
          </tr>
        </tbody>
      </table>
      
</div>